Bug 731860 - [RFE] Granular Permissions
Summary: [RFE] Granular Permissions
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Spacewalk
Classification: Community
Component: WebUI
Version: 1.6
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Tomas Lestach
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space16
TreeView+ depends on / blocked
 
Reported: 2011-08-18 20:06 UTC by JDavis4102
Modified: 2012-03-06 09:17 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-26 14:28:38 UTC


Attachments (Terms of Use)

Description JDavis4102 2011-08-18 20:06:11 UTC
Would like to see Spacewalk able to provide more granular permissions for users.

Here are some examples:
Read only user per group and/or per system.
Remote command only user per group and/or per system.
Configuration management per group and/or per system.
Package management only user per group and/or per system.

Comment 1 Tomas Lestach 2011-08-26 14:28:38 UTC
Spacewalk is meant for administrators, so this kind of permission granularity isn't a priority for Red Hat's Spacewalk developers and will likely not be completed by Red Hat in the next 2 years. I am going to close this enhancement request out as DEFERRED. I will allow it to be re-opened in the future should someone want this re-visited.


Note You need to log in before you can comment on or make changes to this bug.